jakarta-taglibs-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Néstor Boscán <nestor.bos...@tcs.com.ve>
Subject RE: Using Datagrid together with Servlet Version 2.4
Date Tue, 10 May 2005 13:33:15 GMT
Hi Christian

The problem is that the datagrid does not work with servlet version 2.4. We
are currently planning to develop a 2.4 version. If I have something I'll
let you know.

Regards,

Néstor Boscán 

-----Mensaje original-----
De: Christian_Haertl@mra.man.de [mailto:Christian_Haertl@mra.man.de] 
Enviado el: Tuesday, May 10, 2005 9:25 AM
Para: taglibs-dev@jakarta.apache.org
Asunto: Using Datagrid together with Servlet Version 2.4

Hi all,

I have got a big problem using the datagrid taglib and I hope someone can
help me. 

When I am trying to use the datagrid taglib together with the following
header of my web.xml file, an error occurs.


<?xml version="1.0" encoding="ISO-8859-1"?>
<web-app 	xmlns="http://java.sun.com/xml/ns/j2ee" 
	
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
			version="2.4" 
	
xsi:schemaLocation="http://java.sun.com/xml/ns/j2ee   
	
http://java.sun.com/xml/ns/j2ee/web-app_2_4.xsd">
.
.
.

The error is: "According to TLD or attribute directive in tag file,
attribute items does not accept any expressions"

The Code of my jsp-file is (taken from the datagrid-examples):

<ui:dataGrid items="${employees}" var="employee" name="datagrid1"
cellPadding="1" cellSpacing="0">
  <columns>
    <column width="100" order="true">
      <header value="Name" hAlign="center" styleClass="header1"/>
      <item   value="${employee.firstName} ${employee.lastName}"
hAlign="left" styleClass="item1"/>
      <aggregate function="count" var="total"/>
      <footer value="Total ${total}" hAlign="left"
styleClass="footer1"/>
    </column>
.
.
.

If the header of my web.xml file is replaced with the following lines,
everything works fine (taken from the datagrid-examples).

<?xml version="1.0" encoding="ISO-8859-1"?> <!DOCTYPE web-app PUBLIC "-//Sun
Microsystems, Inc.//DTD Web Application 2.2//EN"
    "http://java.sun.com/j2ee/dtds/web-app_2_2.dtd">
<web-app>

Because I am using Struts and some other things in my web-project, I need
version 2.4.
And because I am a newbie in this area, I don't know, how to solve this
problem. Thank you in advance for your help.



Best Regards

Christian

---------------------------------------------------------------------
To unsubscribe, e-mail: taglibs-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: taglibs-dev-help@jakarta.apache.org




---------------------------------------------------------------------
To unsubscribe, e-mail: taglibs-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: taglibs-dev-help@jakarta.apache.org


Mime
View raw message